"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getCharArrayAndIndexForNumberAndDigitIndex = (n, numberOfIntegerDigits, digitIndex) => {
    let index = digitIndex;
    const leftPad = numberOfIntegerDigits - n.toFixed(0).length;
    const array = [
        ...Array(leftPad).fill('0'),
        ...String(n).split(''),
        String(n).split('').includes('.') ? '' : '.',
        ...Array(index).fill('0'),
    ];
    let i = 0;
    while (i < index) {
        i += 1;
        if (array[i] === '.') {
            i += 1;
            index += 1;
        }
    }
    return { array, index };
};
exports.getDigitAtIndex = (n, numberOfIntegerDigits, digitIndex) => {
    const { array, index } = getCharArrayAndIndexForNumberAndDigitIndex(n, numberOfIntegerDigits, digitIndex);
    return array[index];
};
exports.setDigitAtIndex = (n, numberOfIntegerDigits, digitIndex, newValue) => {
    const { array, index } = getCharArrayAndIndexForNumberAndDigitIndex(n, numberOfIntegerDigits, digitIndex);
    const arrayCopy = array;
    arrayCopy[index] = String(newValue);
    return Number(arrayCopy.join(''));
};
